<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:animateLayoutChanges="true"
    android:background="@mipmap/icon_add_bg"
    android:orientation="vertical"
    tools:ignore="PxUsage">


    <RelativeLayout
        android:id="@+id/rel1"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="10dp">

        <ImageView
            android:id="@+id/image"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_centerVertical="true"
            android:layout_marginStart="20dp" />

        <TextView
            android:id="@+id/deptName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginStart="10dp"
            android:layout_toEndOf="@+id/image"
            android:text="实验室名称-房间号"
            android:textColor="@color/white"
            android:textSize="22sp" />

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_centerVertical="true"
            android:layout_marginTop="2dp">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="化学品智能管理"
                android:textColor="@color/white"
                android:textSize="24sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/nowTime"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="6dp"
                android:textColor="@color/white" />

        </LinearLayout>


        <RelativeLayout
            android:id="@+id/loggedIn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentEnd="true"
            android:layout_centerVertical="true"
            android:gravity="center_vertical"
            android:paddingEnd="18dp">

            <ImageView
                android:id="@+id/imageName"
                android:layout_width="30dp"
                android:layout_height="30dp"
                android:layout_centerVertical="true"
                android:layout_marginEnd="6dp" />

            <TextView
                android:id="@+id/tvName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toEndOf="@+id/imageName"
                android:text="李XX"
                android:textColor="@color/white" />

            <ImageView
                android:id="@+id/imgOut"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginLeft="6dp"
                android:layout_marginRight="6dp"
                android:layout_toEndOf="@+id/tvName"
                android:background="@mipmap/cshrk_dl_tc" />

            <TextView
                android:id="@+id/tvOutLogin"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginEnd="10dp"
                android:layout_toEndOf="@+id/imgOut"
                android:text="退出"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </RelativeLayout>
    </RelativeLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/rel1"
        android:layout_marginLeft="31dp"
        android:layout_marginTop="15dp"
        android:layout_marginRight="31dp"
        android:layout_marginBottom="69dp"
        android:background="@drawable/bg_add_chemicals_one">

        <LinearLayout
            android:id="@+id/control_LL"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginVertical="10px"
            android:orientation="horizontal">

            <Button
                android:id="@+id/validate_BT"
                android:layout_width="250px"
                android:layout_height="70px"
                android:layout_marginHorizontal="35px"
                android:background="@drawable/selector_input_select_bt"
                android:text="认证开门"
                android:textColor="@color/white" />

            <Button
                android:id="@+id/retry_BT"
                android:layout_width="250px"
                android:layout_height="70px"
                android:layout_marginHorizontal="35px"
                android:background="@drawable/selector_input_select_bt"
                android:text="批量重试"
                android:textColor="@color/white"
                android:visibility="gone" />

            <LinearLayout
                android:id="@+id/unlock_LL"
                android:layout_width="250px"
                android:layout_height="70px"
                android:background="@drawable/selector_input_select_bt"
                android:gravity="center"
                android:orientation="horizontal"
                android:visibility="gone">

                <ProgressBar
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:text="开锁中..."
                    android:textColor="@color/white" />

            </LinearLayout>

            <Button
                android:id="@+id/save_BT"
                android:layout_width="250px"
                android:layout_height="70px"
                android:layout_marginHorizontal="35px"
                android:background="@drawable/selector_input_select_bt"
                android:text="完成存储"
                android:textColor="@color/white"
                android:visibility="gone" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/control_LL"
            android:layout_marginTop="10px"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="400px"
                android:layout_height="match_parent"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="360px"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:orientation="vertical">

                    <TextView
                        android:layout_width="match_parent"
                        android:layout_height="80px"
                        android:background="@drawable/shape_unlock_t"
                        android:gravity="center"
                        android:text="同时打开多个柜门\n请联系以下任意人员协助开门"
                        android:textColor="@color/white"
                        android:textSize="22px" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="100px"
                        android:background="@drawable/shape_unlock_g"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="120px"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginHorizontal="10px"
                            android:text="柜门管理员"
                            android:textSize="20px" />

                        <View
                            android:layout_width="1px"
                            android:layout_height="match_parent"
                            android:background="#d5d5d5" />

                        <TextView
                            android:id="@+id/admin_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:textSize="18px" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="100px"
                        android:background="@drawable/shape_unlock_g"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="120px"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginHorizontal="10px"
                            android:text="实验室安全员"
                            android:textSize="20px" />

                        <View
                            android:layout_width="1px"
                            android:layout_height="match_parent"
                            android:background="#d5d5d5" />

                        <TextView
                            android:id="@+id/safety_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:textSize="18px" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="100px"
                        android:background="@drawable/shape_unlock_g"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="120px"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginHorizontal="10px"
                            android:text="实验室负责人"
                            android:textSize="20px" />

                        <View
                            android:layout_width="1px"
                            android:layout_height="match_parent"
                            android:background="#d5d5d5" />

                        <TextView
                            android:id="@+id/director_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center_vertical"
                            android:textSize="18px" />
                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="end"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="柜子" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="end"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="柜门" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="end"
                            android:layout_weight="1"
                            android:drawableStart="@drawable/shape_unlock_success"
                            android:drawablePadding="15px"
                            android:gravity="center"
                            android:text="成功" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="end"
                            android:layout_weight="1"
                            android:drawableStart="@drawable/shape_unlock_failed"
                            android:drawablePadding="15px"
                            android:gravity="center"
                            android:text="失败" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/cabinet_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:gravity="center" />

                        <TextView
                            android:id="@+id/door_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:gravity="center" />

                        <TextView
                            android:id="@+id/unlocked_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:textColor="#0FB525" />

                        <TextView
                            android:id="@+id/unlock_failed_TV"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:textColor="#FF2E2E" />
                    </LinearLayout>
                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="1px"
                android:layout_height="match_parent"
                android:layout_marginBottom="20px"
                android:background="#a2a2a2" />

            <GridView
                android:id="@+id/unlock_GV"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_margin="5px"
                android:numColumns="3"
                tools:listitem="@layout/item_door_unlock" />
        </LinearLayout>

    </RelativeLayout>

    <Button
        android:id="@+id/exit"
        android:layout_width="85dp"
        android:layout_height="30dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="20dp"
        android:background="@drawable/bg_retrun_two"
        android:text="结束"
        android:textColor="@color/white"
        android:textSize="10sp" />
</RelativeLayout>